import mistune
from imageapp.models import BlogImage
from blogapp.models import blogentry, blogcategory, blogcomment


class CustomRenderer(mistune.HTMLRenderer):
    def image(self, alt, url, title=None):
        try:
            img = BlogImage.objects.get(pk=int(url))
            print(img.image.url)
            return '<div id="textimg"><img width="100%" src="' + img.image.url + '"/><br>Title: ' + img.title + '<br>Caption: ' + img.caption + '</div>'
        except:
            return '<i>You should see an image here that has not been found unfortunately.</i>'


def footer_info(request):
    blogentries = blogentry.objects.all().order_by('-date')[:5]
    blogcategories = blogcategory.objects.all()
    blogcomments = blogcomment.objects.all().order_by('-date')[:5]
    return {'blogentries': blogentries, 'blogcategories': blogcategories, 'blogcomments': blogcomments}


# def getincludes(request):
# 	eventlist = evententry.objects.all().order_by('-date')[:10]
# 	appointmentlist = event.objects.all().filter(eventend__gte = datetime.datetime.now()).order_by('eventstart')[:5]
# 	return {'eventlist' : eventlist, 'appointmentlist' : appointmentlist}
